Bug 185795 - Review Request: python-fpconst (Python lib for IEEE 754)
Review Request: python-fpconst (Python lib for IEEE 754)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-18 03:11 EST by Christopher Stone
Modified: 2015-01-22 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 15:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdc: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-03-18 03:11:08 EST
*** THIS IS MY FIRST PACKAGE AND I AM SEEKING A SPONSOR ***

Spec Name or Url: http://tkmame.retrogames.com/fedora-extras/fpconst.spec

SRPM Name or Url: http://tkmame.retrogames.com/fedora-extras/fpconst-0.7.2-1.src.rpm 
( you may need to download it from http://tkmame.retrogames.com/fedora-extras/ )

Description: 

This python module implements constants and functions for working with
IEEE754 double-precision special values.  It provides constants for
Not-a-Number (NaN), Positive Infinity (PosInf), and Negative Infinity
(NegInf), as well as functions to test for these values.

The code is implemented in pure python by taking advantage of the
'struct' standard module. Care has been taken to generate proper
results on both big-endian and little-endian machines. Some efficiency
could be gained by translating the core routines into C.
Comment 1 Ignacio Vazquez-Abrams 2006-03-18 15:24:46 EST
- Package should be called python-fpconst
- Shouldn't use macros in URL (non-blocker)
- Don't need python-devel in BR
- Drop the second paragraph in %description
- Drop PKG-INFO from %doc
Comment 2 Patrice Dumas 2006-03-18 17:25:31 EST
You could also take a look at 
http://mattdm.org/misc/fedoraextras/python-fpconst.spec
Comment 3 Christopher Stone 2006-03-18 18:18:13 EST
Spec Name or Url: http://tkmame.retrogames.com/fedora-extras/python-fpconst.spec
SRPM Name or Url:
http://tkmame.retrogames.com/fedora-extras/python-fpconst-0.7.2-1.src.rpm 
( you may need to download it from http://tkmame.retrogames.com/fedora-extras/ )

Changelog:
- Initial Release of python-fpconst, changes from fpconst include:
- Renamed package from fpconst to python-fpconst
- Removed macros in URL
- Removed python-devel from BR
- Droped the second paragraph in %description
- Droped PKG-INFO from %doc
- Added pep-0754.txt to %doc

Thanks Patrice for the additional information.  I forgot to add pep-0754.txt to
%doc which I noticed when looking at that other spec file!
Comment 4 Matthew Miller 2006-03-19 06:32:11 EST
Yeah, I'd worked on this a year ago before the FE package review process was
really properly figured out, so it got ignored. Your new spec looks fine at
first glance, though.
Comment 5 Ignacio Vazquez-Abrams 2006-04-11 11:50:50 EDT
APPROVED
Comment 6 Christopher Stone 2007-12-13 21:23:12 EST
Package Change Request
======================
Package Name: python-fpconst
New Branches: EL-5
Comment 7 Kevin Fenzi 2007-12-14 11:29:36 EST
cvs done.
Comment 8 François Cami 2015-01-22 16:52:52 EST
Package Change Request
======================
Package Name: python-fpconst
New Branches: el6
Owners: fcami
Comment 9 François Cami 2015-01-22 19:08:40 EST
Please ignore the previous request.

Note You need to log in before you can comment on or make changes to this bug.